Bug 1162352 - [abrt] libreoffice-core: sfx2::SvLinkSource::HasDataLinks(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: sfx2::SvLinkSource::HasDataLinks(): soffice.bin kill...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0d0d98f04c145134a8a0a369260...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-10 21:50 UTC by Elliott Sales de Andrade
Modified: 2015-01-19 01:32 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.3.5.2-10.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-19 01:32:51 UTC


Attachments (Terms of Use)
File: backtrace (57.63 KB, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: cgroup (180 bytes, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: core_backtrace (23.87 KB, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: dso_list (24.51 KB, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: environ (3.67 KB, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: exploitable (82 bytes, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: limits (1.29 KB, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: maps (119.80 KB, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: open_fds (526 bytes, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
File: var_log_messages (373 bytes, text/plain)
2014-11-10 21:50 UTC, Elliott Sales de Andrade
no flags Details
Document that crashed (11.77 KB, application/vnd.oasis.opendocument.text)
2014-11-12 06:55 UTC, Elliott Sales de Andrade
no flags Details

Description Elliott Sales de Andrade 2014-11-10 21:50:01 UTC
Description of problem:
Copy a table out of a document.

Version-Release number of selected component:
libreoffice-core-4.2.6.3-8.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin 'Breakdown Template.odt' --splash-pipe=5
crash_function: sfx2::SvLinkSource::HasDataLinks
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.16.6-203.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sfx2::SvLinkSource::HasDataLinks at /usr/src/debug/libreoffice-4.2.6.3/sfx2/source/appl/linksrc.cxx:391
 #1 SwDataChanged::~SwDataChanged at /usr/src/debug/libreoffice-4.2.6.3/sw/source/core/doc/swserv.cxx:315
 #2 SwDoc::InsertPoolItem at /usr/src/debug/libreoffice-4.2.6.3/sw/source/core/doc/docfmt.cxx:1088
 #3 SwEditShell::SetAttrItem at /usr/src/debug/libreoffice-4.2.6.3/sw/source/core/edit/edatmisc.cxx:123
 #4 SwTextShell::ExecCharAttr at /usr/src/debug/libreoffice-4.2.6.3/sw/source/ui/shells/txtattr.cxx:156
 #5 SfxShell::CallExec at /usr/src/debug/libreoffice-4.2.6.3/include/sfx2/shell.hxx:181
 #6 SfxDispatcher::Call_Impl at /usr/src/debug/libreoffice-4.2.6.3/sfx2/source/control/dispatch.cxx:220
 #7 SfxDispatcher::_Execute at /usr/src/debug/libreoffice-4.2.6.3/sfx2/source/control/dispatch.cxx:899
 #8 SfxBindings::Execute_Impl at /usr/src/debug/libreoffice-4.2.6.3/sfx2/source/control/bindings.cxx:1293
 #9 SfxDispatchController_Impl::dispatch at /usr/src/debug/libreoffice-4.2.6.3/sfx2/source/control/unoctitm.cxx:733

Comment 1 Elliott Sales de Andrade 2014-11-10 21:50:04 UTC
Created attachment 956020 [details]
File: backtrace

Comment 2 Elliott Sales de Andrade 2014-11-10 21:50:05 UTC
Created attachment 956021 [details]
File: cgroup

Comment 3 Elliott Sales de Andrade 2014-11-10 21:50:06 UTC
Created attachment 956022 [details]
File: core_backtrace

Comment 4 Elliott Sales de Andrade 2014-11-10 21:50:07 UTC
Created attachment 956023 [details]
File: dso_list

Comment 5 Elliott Sales de Andrade 2014-11-10 21:50:08 UTC
Created attachment 956024 [details]
File: environ

Comment 6 Elliott Sales de Andrade 2014-11-10 21:50:09 UTC
Created attachment 956025 [details]
File: exploitable

Comment 7 Elliott Sales de Andrade 2014-11-10 21:50:10 UTC
Created attachment 956026 [details]
File: limits

Comment 8 Elliott Sales de Andrade 2014-11-10 21:50:12 UTC
Created attachment 956027 [details]
File: maps

Comment 9 Elliott Sales de Andrade 2014-11-10 21:50:12 UTC
Created attachment 956028 [details]
File: open_fds

Comment 10 Elliott Sales de Andrade 2014-11-10 21:50:13 UTC
Created attachment 956029 [details]
File: proc_pid_status

Comment 11 Elliott Sales de Andrade 2014-11-10 21:50:14 UTC
Created attachment 956030 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-11-11 14:57:27 UTC
Doesn't happen with a super simple document. Can you provide the document that crashed when you selected a table and copied it ?

Comment 13 Elliott Sales de Andrade 2014-11-12 06:55:55 UTC
Created attachment 956584 [details]
Document that crashed

I've attached the document. Originally, there was a blank line before the table, which I deleted before Select All & Copy (Ctrl-A & Ctrl-C).

There were other documents open, but I can't share them, and I wasn't viewing them at the time.

Comment 14 Caolan McNamara 2015-01-15 14:42:32 UTC
utterly by chance I happened to reproduce this today

Comment 15 Fedora Update System 2015-01-16 09:10:54 UTC
libreoffice-4.3.5.2-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.5.2-10.fc21

Comment 16 Fedora Update System 2015-01-17 05:37:59 UTC
Package libreoffice-4.3.5.2-10.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.3.5.2-10.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0744/libreoffice-4.3.5.2-10.fc21
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-01-19 01:32:51 UTC
libreoffice-4.3.5.2-10.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.